from os.path import join as joinpath, dirname
from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext
from shutil import rmtree, move

ext_modules = [Extension("_algos", ["_algos.pyx"])]

setup(
  name = 'compiled algorithms',
  cmdclass = {'build_ext': build_ext},
  ext_modules = ext_modules
)
base = dirname(__file__)
move(joinpath(base, r'build\lib.win32-2.6\_algos.pyd'), joinpath(base, '_algos.pyd'))
rmtree('build')